# Generated from check_chef_converge-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name check_chef_converge

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Nagios/Sensu check for chef convergence on a chef search
License: Apache 2.0
URL: https://github.com/Altiscale/check_chef_converge
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
# CheckChefConverge
This is a Nagios/Sensu check that can check if nodes returned from a chef
search
have converged recently.
## Installation
Add this line to your application's Gemfile:
```ruby
gem 'check_chef_converge'
```
And then execute:
$ bundle
Or install it yourself as:
$ gem install check_chef_converge
## Usage
```
Usage: check_chef_converge
-w, --warn-minutes MINUTES       Warning when chef has not converged in
minutes.Default 65
-c, --crit-minutes MINUTES       Critical when chef has not converged in
minutes.Default 70
-q, --query SEARCH               Chef query to filter on. Default
'fqdn:travis-work-mbp.local'
--chef-client-config CONFIG  Chef client configuration.
--chef-server-url URL        Chef Server URL. Must pass client-name and
client-key or client-key-file with this option.
--chef-client-name NAME      Chef Client Name. Only used with  server-url
--chef-client-key KEY        Chef Client Key (string). Only used with 
server-url. Takes precedence over client-key-file.
--chef-client-key-file PATH  Chef Client Key File. Only used with  server-url
-h, --help                       Show this message
--version                    Show version
```
## Development
After checking out the repo, run `bin/setup` to install dependencies. Then,
run `rake spec` to run the tests. You can also run `bin/console` for an
interactive prompt that will allow you to experiment.
To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then
run `bundle exec rake release`, which will create a git tag for the version,
push git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).
## Contributing
Bug reports and pull requests are welcome on GitHub at
https://github.com/Altiscale/check_chef_converge. This project is intended to
be a safe, welcoming space for collaboration, and contributors are expected to
adhere to the [Contributor Covenant](contributor-covenant.org) code of
conduct.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check_chef_converge
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/check_chef_converge.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
